starpu (1.4.5+dfsg-3) unstable; urgency=medium

  * control, rules: Disable llvm omp on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 21:41:46 +0100

starpu (1.4.5+dfsg-2) unstable; urgency=medium

  * patches/gcc-14: Fix build with gcc 14.  Closes: Bug#1075537, Bug#1078230.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 21:54:03 +0200

starpu (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - patches/avoid-version: Upstreamed.
    - patches/python-destdir: Upstreamed.
  * control: Replace pkg-config with pkgconf.
  * watch: Check signature.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Apr 2024 16:17:42 +0200

starpu (1.4.3+dfsg-5) unstable; urgency=medium

  * control: Fix missing Conflicts against both non-t64 and t64 packages.
  * control: Fix missing Breaks+Replaces for contrib t64 packages.
    Closes: Bug#1065258.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 14:16:23 +0100

starpu (1.4.3+dfsg-4) unstable; urgency=medium

  * control: Upgrade conflicts between starpu and starpu-contrib to 64-bit
    time_t names.  Closes: #1065258

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2024 11:10:29 +0100

starpu (1.4.3+dfsg-3) unstable; urgency=medium

  * patches/avoid-version: Avoid including version numbers for loadable
    plugins. Avoids useless shlibs file.
  * Rename contrib libraries for 64-bit time_t transition.
  * rules: Avoid ignoring failures from 'chmod'.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2024 01:31:03 +0100

starpu (1.4.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063083
  * Ignore failures from 'chmod' in debian/rules clean; this fails because
    '*contrib*' .install files have become dangling symlinks, but these are
    not part of the source package anyway.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:31:25 +0000

starpu (1.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 20:36:00 +0100

starpu (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - control: Add python3-cloudpickle build-dep.
    - control: Add python3-setuptools build-dep.
    - control: Add python3-numpy build-dep.
    - patches/python-destdir: Fix missing $(DESTDIR).
    - not-installed: Not installing python files for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 14:24:40 +0100

starpu (1.4.2+dfsg-2) unstable; urgency=medium

  * Move libdummy_sched, libmy_dmda and libprofiling_tool into starpu-examples,
    to allow different libstarpu versions be co-installable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 12:03:52 +0100

starpu (1.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-2 and libstarpumpi-1.4-2 according to soname bump.
    - patches/parallel_workers: Upstreamed.
    - patches/eztrace: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 10:07:57 +0100

starpu (1.4.1+dfsg-8) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev only where needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Aug 2023 11:43:40 +0200

starpu (1.4.1+dfsg-7) unstable; urgency=medium

  * patches/eztrace: Let eztrace trace job start/end.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 11:56:08 +0200

starpu (1.4.1+dfsg-6) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2023 18:49:15 +0200

starpu (1.4.1+dfsg-5) unstable; urgency=medium

  * patches/parallel_workers: Fix parallel_workers test on machines with a lot
    of CPU sockets.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Aug 2023 21:43:52 +0200

starpu (1.4.1+dfsg-4) unstable; urgency=medium

  * rules: Also hardcode the maximum number of cpus and NUMA nodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jul 2023 16:07:57 +0200

starpu (1.4.1+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu depend on libstarpu-openmp-llvm only on archs
    which have it built.
  * rules: Hardcode the maximum number of nodes.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jul 2023 12:34:11 +0200

starpu (1.4.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 14:00:04 +0200

starpu (1.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release. Closes: Bug#1036683.
    - Rename library packages according to soname bumps.
    - Closes: Bug#1036683.
    - patches/atomic: Upstreamed.
    - patches/atomic2: Upstreamed.
    - patches/atomic3: Upstreamed.
    - patches/hurd_max: Upstreamed.
    - patches/llvm-openmp: Upstreamed.
    - patches/openmp_llvm_variant: Upstreamed.
    - patches/socl-atomic: Upstreamed.
    - patches/starpurm-hwloc: Upstreamed.
    - patches/tasks_size_overhead_cpustep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 May 2023 18:18:07 +0200

starpu (1.4.0+dfsg-4) experimental; urgency=medium

  * control: Don't build-dep on clang on archs which don't have libomp-dev.
  * libstarpu-openmp-llvm-1.4-1: Don't build package on archs which don't have
    libomp-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2023 11:09:10 +0200

starpu (1.4.0+dfsg-3) experimental; urgency=medium

  * patches/hurd_max: Fix build issue.
  * control: Restraint libpapi-dev build-dep on archs where it actually
    builds. Add pajeng build-dep.
  * rules: Do not call chrpath on archs where openmp-llvm is not available.
  * patches/socl-atomic: Make socl use starpu macros for atomic operations.
  * patches/atomic, atomic2, atomic3: Fix 64bit atomics on some 32bit archs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Apr 2023 18:42:10 +0200

starpu (1.4.0+dfsg-2) experimental; urgency=medium

  * rules: Fix multiarch path.
  * control: Build-dep on libpapi-dev on linux-any only.
  * control, rules: Enable openmp-llvm on archs that have libomp-dev only.
  * patches/openmp_llvm_variant: Fix LLVM-based openmp support.
  * tests/examples: Avoid running meant-to-deadlock test.
  * patches/tasks_size_overhead_cpustep: Fix autopkgtest hanging.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Apr 2023 17:53:33 +0200

starpu (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename packages according to soname bump.
    - New libstarpu-openmp-llvm-1.4-1 package for new library.
    - control: Complete migration from libgl1-mesa-dev to libgl-dev and from
    libglu1-mesa-dev to libglu-dev.
    - control: Add chrpath, libfxt-dev, libpapi-dev, python3-all-dev,
    libpython3-all-dev, python3-joblib, clang, libomp-dev build-deps.
    - rules: --enable-tcpip-master-slave, --enable-openmp-llvm.
    - docs: README was renamed to README.md
    - libstarpu-1.3-9.install: Install loadable libraries.
    - not-installed: Do not install the starpu module, starpu_config.cfg, and
    .a/.la libs.
    - patches/llvm-openmp: Fix llvm-openmp build.
    - patches/starpurm-hwloc: Add missing link against hwloc.
    - rules: drop rpath from llvm OMP examples.
    - gbp.conf: Update filter.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Mar 2023 11:33:08 +0200

starpu (1.3.10+dfsg-2) unstable; urgency=medium

  * Rebuild on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Nov 2022 00:05:44 +0100

starpu (1.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-8 to libstarpu-1.3-9 according to soname
    bump.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Use valgrind-if-available instead of hardcoding a list.
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * control: Make Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Nov 2022 10:10:05 +0100

starpu (1.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-7 to libstarpu-1.3-8 according to soname
    bump.
    - patches/no_src_build_dir: Upstreamed.
    - patches/no_src_dir: Upstreamed.
    - copyright: Update.
  * control, copyright: Fix upstream URL.
  * control: Make starpu-tools' recommends on python3 :any.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Oct 2021 23:46:27 +0200

starpu (1.3.8+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Remove unused license definitions for GPL-3, QWT.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on libstarpu-1.3-7, Section on libstarpufft-1.3-2, Section on
    libstarpumpi-1.3-3, Section on libsocl-1.3-0, Section on libstarpurm-1.3-2
    that duplicate source.

  [ Samuel Thibault ]
  * patches/no_src_build_dir: Really avoid any STARPU_SRC/BUILD_DIR
    definition.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Sep 2021 18:34:24 +0200

starpu (1.3.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * patches/no_src_dir: Avoid leaking the source directory in installed files.
  * patches/no_src_build_dir: Avoid leaking the source/build directory in
    debugging symbols of installed files.
  * rules: Make sure to undefine STARPU_DEVEL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2021 21:51:53 +0200

starpu (1.3.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename package libstarpu-1.3-5 to libstarpu-1.3-7 according to soname
    bump.
    - Rename package libstarpurm-1.3-1 to libstarpurm-1.3-2 according to soname
    bump.
    - patches/socl_link: Upstreamed.
    - patches/fortify: Upstreamed.
  * patches/fortify: Fix setting fortify build flag.
  * control: Set Rules-Requires-Root to no.
  * libstarpu-contrib-1.3-5.lintian-overrides: Fix override.
  * watch: Drop gforge URL.
  * gbp.conf: Use filter to clean upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Aug 2021 18:28:45 +0200

starpu (1.3.7+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libstarpurm-1.3-1
    (Closes: Bug#985436).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Mar 2021 22:50:37 +0100

starpu (1.3.7+dfsg-2) unstable; urgency=medium

  * control: Fix libstarpurm providing libstarpu-anyrm.
  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jan 2021 13:37:36 +0100

starpu (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-4 to libstarpu-1.3-5.
    - patches/starpurm_link: Upstreamed.
    - patches/starpurm_showcheck: Upstreamed.
    - patches/mlr_blas: Upstreamed.
  * starpu-examples.install: Add mpi examples, precalibrated perfmodels,
    opencl codelets.
  * starpu-tools.install: Install perfmodel dtd. Install starpu_t* tools
    (starpu_top is no more). Install ayudame.cfg.
  * not-installed: Rule out *.la. Rule out README.dev.
  * docs: Install missing doc.
  * control: Drop removed gccDeps variable. Drop shlibs:Depends from
    libstarpu-dev, it shouldn't need it.
  * patches/socl_link: Fix linking libsocl against libOpenCL.
  * patches/mpi_link: Drop patch, dh removes spurious rpath, and we need the
    link flags to properly get the libmpi dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2020 13:14:54 +0200

starpu (1.3.5+dfsg-2) unstable; urgency=medium

  * patches/starpurm_showcheck: Fix showcheck rule inside starpurm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Sep 2020 17:17:38 +0200

starpu (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename
      - libstarpu-1.3-3 to libstarpu-1.3-4
      - libstarpufft-1.3-1 to libstarpufft-1.3-2
      - libstarpumpi-1.3-2 to libstarpumpi-1.3-3
      according to upstream soname bump.
    - control: Add libstarpurm library.
    - patches/install: Upstreamed.
    - rules: Pass --enable-mlr-system-blas to configure.
    - rules: Pass --enable-starpurm-examples to configure.
    - patches/mlr_blas: Fix using system blas.
    - patches/starpurm_link: Fix linking starpurm examples.
  * control: Drop doxygen-latex dependency, we don't build the PDFs any more.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * watch: Update.
  * rules: Drop --parallel and --with autoreconf, now the default.
  * control: Drop the autotools-dev and dh-autoreconf build-deps, now the
    default.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 16:29:30 +0200

starpu (1.3.4+dfsg-3) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/install: Install missing examples (Closes: Bug#964149).
  * tests/examples: Update autopkgtest to StarPU 1.3.4.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jul 2020 20:03:46 +0200

starpu (1.3.4+dfsg-2) unstable; urgency=medium

  * control: Update debian packaging vcs repository.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Jun 2020 10:21:28 +0200

starpu (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-2 to libstarpu-1.3-3 according to soname bump.
    - Rename libstarpumpi-1.3-1 to libstarpumpi-1.3-2 according to soname bump.
    - patches/git-fxt: Upstreamed.
    - patches/no-schedulers-test: Drop, now useless.
    - patches/doc-nopdf: Drop, replaced by...
    - rules: ... Add --disable-build-doc-pdf configure option.
    - patches/mpi_link: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 14:39:01 +0200

starpu (1.3.3+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rebuild against libhdf5-103-1 (Closes: Bug#955831).
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind on x32.

  [ Andreas Beckmann ]
  * control: Depend on nvidia-cuda-toolkit-gcc instead of nvidia-cuda-toolkit.
  * rules: Use cuda-gcc/g++ instead of hardcoded versions of gcc/g++
    (Closes: Bug#955794).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Apr 2020 15:51:11 +0200

starpu (1.3.3+dfsg-2) unstable; urgency=medium

  * Re-upload for building arch:all on a buildd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2019 16:20:10 +0100

starpu (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-1 to libstarpu-1.3-2 according to soname bump.
    - Rename libstarpufft-1.3-0 to libstarpufft-1.3-1 according to soname bump.
    - Rename libstarpumpi-1.3-0 to libstarpumpi-1.3-1 according to soname bump.
    - patches/man: Upstreamed.
    - patches/flops-nan: Upstreamed.
    - patches/flops-incoherent: Upstreamed.
    - patches/git-fxt: New patch, fix big traces.
  * watch: Generalize pattern.
  * rules: Do not make showcheck in nocheck profile.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 14:52:39 +0100

starpu (1.3.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * libsocl-contrib-1.3-0.lintian-overrides,
    libstarpu-contrib-1.3-1.lintian-overrides,
    libstarpu-contribfft-1.3-0.lintian-overrides,
    libstarpu-contribmpi-1.3-0.lintian-overrides: Suppress warning.
  * patches/man: Add descriptions to NAME sections of manpages.
  * patches/flops-nan: Accept flops being nan, as set when flops computation
    is incoherent (Closes: Bug#939744).
  * patches/flops-incoherent: Fix detecting flops computation incoherency, and
    make it emit a warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Sep 2019 13:48:48 +0200

starpu (1.3.2+dfsg-3) unstable; urgency=medium

  * patches/no-schedulers-test: Avoid running schedulers.sh test, which is
    extremely long and breaks the build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:36:03 +0200

starpu (1.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 14:35:16 +0200

starpu (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-0 to libstarpu-1.3-1 according to SONAME bump.
    - patches/relax-gcc-plugin: Remove.
    - patches/qt5: Remove.
    - patches/heat-opengl: Merged.
    - patches/refman: Merged.
  * Add libhdf5-dev build-dep.
  * Make starpu-tools recommends python3 for starpu_mpi_comm_matrix.
  * rules: Drop now-useless V definition.
  * control: Drop gcc-7 dep (closes: #924012).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 16:50:29 +0200

starpu (1.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to soname bump.
    - patches/reproducibility: Merged upstream.
    - patches/refman: Add file missing in upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Feb 2019 15:39:07 +0200

starpu (1.2.6+dfsg-7) unstable; urgency=medium

  * rules: Properly pass -k to make check.
  * debian/patches/heat-opengl: Do not try opengl display without X display.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Feb 2019 11:03:38 +0100

starpu (1.2.6+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with CUDA 10.1 and GCC 8.  (Closes: #924014).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jul 2019 18:16:30 +0200

starpu (1.2.6+dfsg-6) unstable; urgency=medium

  * patches/doc-nopdf: Disable building pdf version of doxygen documentation
    (Closes: Bug#921301, Bug#921766).
  * rules: Fix docdir.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Feb 2019 19:57:23 +0200

starpu (1.2.6+dfsg-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Build with CUDA 9.2 and GCC 7.  (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jan 2019 17:52:08 +0100

starpu (1.2.6+dfsg-4) unstable; urgency=medium

  * debian/rules: Trick nvcc into compiling with g++ 8.
  * debian/control: Do not build-depend on gcc-6 (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:48:57 +0100

starpu (1.2.6+dfsg-3) unstable; urgency=medium

  * Upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Nov 2018 14:03:31 +0100

starpu (1.2.6+dfsg-2) unstable; urgency=medium

  * Use upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 01:37:12 +0100

starpu (1.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Sep 2018 12:24:09 +0200

starpu (1.2.5+dfsg-2) unstable; urgency=medium

  * rules: Sed all changelog entries into starpu-contrib instead of just the
    first, to fix version tracking.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Sep 2018 21:03:09 +0200

starpu (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.2-4 to libstarpu-1.2-5 due to soname bump.
  * Bump Standards-Version to 4.2.0 (no changes).
  * tests: Add autopkgtest.
  * control: Mark most packages Multi-Arch: same.
  * info: Remove starpu.info, not built any more by upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Sep 2018 11:53:26 +0200

starpu (1.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/gnu_source: Merged upstream
    - Rename packages according to soname bumps.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Apr 2018 15:28:08 +0200

starpu (1.2.3+dfsg-5) unstable; urgency=medium

  * control: Bump to CUDA 9.
  * rules: Use gcc 6 for nvcc (Closes: #873416).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Jan 2018 10:25:46 +0100

starpu (1.2.3+dfsg-4) unstable; urgency=medium

  * control: Make -contrib packages provide -any virtual packages, so that
    packages in main can depend on main | -any and thus get apt avoid
    installing contrib and non-free packages unexpectedly (Closes: Bug#884309)
  * control: Deactivate guile dependency, which was only used for plugin tests
    (Closes: Bug#885230, Bug#885234)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:57:08 +0100

starpu (1.2.3+dfsg-3) unstable; urgency=medium

  * Apply upstream fix for macro test.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 15:10:40 +0100

starpu (1.2.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 13:12:57 +0100

starpu (1.2.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-2 to libstarpu-1.2-3 and libstarpumpi-1.2-1 to
    libstarpumpi-1.2-2 according to soname bumps.
    - patches/qt5: Refresh.
    - patches/doc: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 18:32:51 +0100

starpu (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-0 to libstarpu-1.2-2 and libstarpumpi-1.2-0 to
    libstarpumpi-1.2-1 according to soname bumps.
    - patches/cnf: Remove, merged upstream.
    - patches/examples: Remove, merged upstream.
    - patches/nvcc_noccbin: Remove, merged upstream.
    - patches/doc: Add from upstream to ship doc source.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Depend on gfortran (Closes: Bug#877028)
  * rules: Use NVCC_CC instead of setting -ccbin in NVCCFLAGS.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:05:59 +0100

starpu (1.2.0+dfsg-5) unstable; urgency=medium

  * Update source repository URL to git.
  * patches/reproducibility: Fix reproducibility.
  * rules: Support DEB_BUILD_OPTIONS nodoc tag.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.
  * patches/qt5: Upstream fixes for qt5.
  * control: Replace qt4 dependencies with qt5.
  * rules: Make sure qt5 gets detected (Closes: Bug#875196)
  * control: Replace qwt5 dependencies with qwt6.
  * rules: upgrade to libqwt 6.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Aug 2017 19:39:36 +0200

starpu (1.2.0+dfsg-4) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libsocl (Closes: Bug#857163)
  * rules: Append -contrib to that dependency for contrib package.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Mar 2017 15:18:09 +0100

starpu (1.2.0+dfsg-3) unstable; urgency=medium

  * Run the full testsuite even if there are failures.
  * control [contrib]: Build-Depend on clang-3.8 instead of gcc-5
  * rules: Pass -ccbin clang-3.8 (Closes: Bug#835941).
  * patches/nvcc_noccbin: Avoid overriding our -ccbin option.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jan 2017 21:05:52 +0100

starpu (1.2.0+dfsg-2) unstable; urgency=medium

  * debian/rules: Also set FC to set gfortran version.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 22:49:22 +0200

starpu (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix final soname version.
    - Drop the documentation that we already generate from the tarball.
    - patches/openmp-valgrind: Remove, merged upstream
    - patches/examples: backport upstream fix to properly build some examples.
    - copyright: Use BSD-uthash licence name for uthash.h, since it is a
      modified BSD licence (Only the first item is kept, about keeping notices
      in source code redistribution)
    - copyright: Move standard licence texts to the end of the file.
    - copyright: Label the CL headers as Expat licence since that's it.
  * Downgrade opencl-headers build-dep to opencl-c-headers.
    (Closes: Bug#837911).
  * Build starpu-contrib on non-amd64 too (Closes: Bug#840559).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2016 13:50:02 +0200

starpu (1.2.0~rc2+dfsg-2) experimental; urgency=medium

  * Fix libsocl conflicting package names (Closes: Bug#779599).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 16:29:49 +0200

starpu (1.2.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.2-0 to libstarpu-1.2-1 according to soname bump.
  * Merge unstable changes (Closes: Bug#779599).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2015 10:40:17 +0100

starpu (1.2.0~20141210+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump sonames to 1.2-0.
    - control: Add libleveldb-dev.
    - rules: Add --enable-openmp.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Dec 2014 17:33:58 +0100

starpu (1.1.4+dfsg-6) unstable; urgency=medium

  * debian/patches/cnf: Drop testing for unused f77.h.
  * control:
    - Bump Standards-Version to 3.9.8 (no change)
    - Drop actually-unused libcnf-dev dependency.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Jul 2016 12:12:16 +0200

starpu (1.1.4+dfsg-5) unstable; urgency=medium

  * Drop i386 arch from contrib, CUDA only supports amd64 nowadays.
  * watch: Update to submission from bartm.
  * rules: Use dpkg-parsechangelog.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * starpu-examples.install: Add missing OpenCL programs.
  * Bump starpu-contrib gcc dependency to 5, now that CUDA 7.5 is in
    (Closes: Bug#818764).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 13:28:32 +0200

starpu (1.1.4+dfsg-4) unstable; urgency=medium

  * patches/sm_13: New patch from upstream to drop requesting sm_13
    architecture support, available since long. Fixes build with cuda 7.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Dec 2015 17:40:24 +0100

starpu (1.1.4+dfsg-3) unstable; urgency=medium

  * compat: Bump to 9.
  * control:
    - Bump debhelper build-dependency accordingly.
    - Drop hardening-wrapper depdency.
    - Add opencl-dev build-dep alternative to ocl-icd-opencl-dev.
    - Enable numa and valgrind support on mips64* (closes: Bug#806711).
    - Add doxygen and doxygen-latex build dependencies.
  * rules:
    - Drop use of hardening-wrapper.
    - Disable gcc version dependency, which was only needed for the
    plugin. (Closes: Bug#813173, Bug#773897)
  * *.dirs: Drop, useless.
  * *.install: Update to multiarch libdir path.
  * starpu-examples.install: Also install OpenCL programs.
  * starpu-contrib-examples.install: Make a symlink to
    starpu-examples.install.
  * docs: Drop manual installation of PDF documentation, now automatically
    done.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2015 00:52:49 +0100

starpu (1.1.4+dfsg-2) unstable; urgency=medium

  * Bump gcc versions according to newer nvcc support (closes: Bug#796844).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Aug 2015 00:01:15 +0200

starpu (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Rename libstarpu-1.1-7 into libstarpu-1.1-9 and libstarpumpi-1.1-2 into
      libstarpumpi-1.1-3 according to soname bump. No rdeps.
  * Enable libnuma-dev and valgrind on arm64 and ppc64el too.
  * control: Add missing dependency on ocl-icd-opencl-dev for libstarpu-dev
  * rules:
    - Prevent the testsuite from running in parallel.
    - Pass --enable-quick-check to configure.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 May 2015 13:41:06 +0200

starpu (1.1.3+dfsg-3) unstable; urgency=medium

  * control: Make libsocl-1.1-1 and libsocl-contrib-1.1-1 conflict/provide each
    other (Closes: Bug#767557).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Nov 2014 16:50:43 +0100

starpu (1.1.3+dfsg-2) unstable; urgency=medium

  * control: Make libstarpu-1.1-7 Replace libstarpu-1.1-6: the soname bump
    actually happened earlier :/ (Closes: Bug#761483).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Sep 2014 00:00:39 +0200

starpu (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rename libstarpu-1.1-6 package into libstarpu-1.1-7 due to soname bump.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Sep 2014 14:19:21 +0200

starpu (1.1.2+dfsg-2) unstable; urgency=medium

  * Make starpu-contrib use gfortran 4.8 too (Closes: Bug#752030).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Jun 2014 16:24:21 +0200

starpu (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * control: Make libstarpu-dev depend on opencl-headers, since we now build
    with OpenCL enabled (Closes: Bug#748101).
  * control, rules: Drop libcuda1 build-dependency, it is brought through
    nvidia-cuda-toolkit anyway (Closes: Bug#749430).
  * rules: Default gcc version is now 4.9, nvcc can use 4.8.
  * rules: Make mpicc use our selected version of gcc.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Jun 2014 01:45:45 +0200

starpu (1.1.1+dfsg-2) unstable; urgency=medium

  * control,rules: Build with gcc-4.9 instead of gcc-4.7 (Closes: Bug#748009).
  * rules: Disable the GCC plugin, as it doesn't build with gcc-4.9.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 15:43:03 +0200

starpu (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Bump soname of libstarpu to 1.1-6
    - Add libsocl to main, now that we can build it against ocl-icd.
  * README.source: matvecmult kernel included again, as it has been rewritten.
  * control: Build-depend on opencl-headers, ocl-icd-opencl-dev to make main
    support OpenCL.
  * patches/build_fixes: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Apr 2014 13:15:18 +0200

starpu (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100

starpu (1.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not depend on install-info any more.
  * Bump Standards-Version to 3.9.5.
  * patches: refresh.
  * control: Add valgrind and guile build-dependency.
  * docs: Add pdf documentation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Oct 2013 09:04:50 +0100

starpu (1.0.5+dfsg-1) unstable; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).
  * watch: Mangle tarball name against +dfsg.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2013 18:14:07 +0200

starpu (1.0.5-3) unstable; urgency=high

  * patches/automake-nowerror: Do not pass -Werror to automake
    (Closes: Bug#724128).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2013 21:55:39 +0200

starpu (1.0.5-2) unstable; urgency=low

  * Make starpu-top also replace/break starpu-contrib-tools
    (Closes: Bug#717996).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jul 2013 20:44:13 +0200

starpu (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200

starpu (1.0.1-4) unstable; urgency=low

  * patches/binding: Backport upstream change to fix binding on CPU near GPUs,
    and for combined workers.
  * patches/bashism: Backport upstream change to fix bashism.
    (Closes: Bug#690935).
  * patches/automake-Werror: Fix automake warnings (Closes: Bug#713335).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jul 2013 15:32:05 +0200

starpu (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for starpu-contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200

starpu (1.0.1-2) unstable; urgency=low

  * control: Really use relaxed gcc-4.6 version test, not just exactly the
    upstream version part, thanks Andreas Beckmann for initial patch
    (Closes: Bug#670422).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 May 2012 13:53:27 +0200

starpu (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Explicitly use gcc-4.6 to fix plugin build (Closes: Bug#667381).
  * Use gcc-4.5 for starpu, as nvcc does not actually support all 4.6
    features, notably not __float128.
  * patches/relax-gcc-plugin: Relax gcc-4.6 dependency for plugins to upstream
    release version (Closes: #670422)
  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Apr 2012 15:04:15 +0200

starpu (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
    - Add provides to contrib variants.
    - Bump Standards-Version to 3.9.3 (no changes).
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.

  * rules, control: Make libstarpu-dev depend on the exact version of gcc that
    compiled the plugin, as the plugin infrastructure is very strict about it.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 14:42:41 +0200

starpu (0.9.1-3) unstable; urgency=low

  * debian/control:
    - Add libcnf-dev and gfortran build-dependency for the fortran example.
    - Depend on nvidia-cuda-toolkit and libcuda1 instead of nvidia-opencl-dev
      and nvidia-cuda-dev, since starpu also needs nvcc (Closes: Bug#638980)
    - Make contrib Architecture: amd64 i386 since it only makes sense there.
  * debian/rules: Fix main/contrib switch rules accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 19:12:30 +0200

starpu (0.9.1-2) unstable; urgency=low

  * debian/rules:
    - Add rule to change Sections to contrib/.
    - Set HOME to $PWD while making test, to permit buildds to write into
      $HOME/.starpu.
  * debian/control: Depend on libnuma-dev only on architectures which have it.
  * debian/patches/no-fftwl: Build starpufft even without fftwl.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 18:26:07 +0200

starpu (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #619848)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 May 2011 13:34:51 +0200
